org.apache.ignite.internal.processors.rest.client.message

## Class GridClientWarmUpRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage
  - - org.apache.ignite.internal.processors.rest.client.message.GridClientNodeStateBeforeStartRequest
    - - org.apache.ignite.internal.processors.rest.client.message.GridClientWarmUpRequest

All Implemented Interfaces:
  Externalizable, Serializable, GridClientMessage

    public class GridClientWarmUpRequest
    extends GridClientNodeStateBeforeStartRequest

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridClientWarmUpRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`void` `readExternal(ObjectInput in)`
`boolean` `stopWarmUp()` Return `true` to stop warm-up.
`GridClientWarmUpRequest` `stopWarmUp(boolean stopWarmUp)` Set need to stop warm-up.
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class org.apache.ignite.internal.processors.rest.client.message.GridClientAbstractMessage

`clientId, clientId, destinationId, destinationId, requestId, requestId, sessionToken, sessionToken`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridClientWarmUpRequest

    public GridClientWarmUpRequest()

### Method Detail

#### stopWarmUp

    public boolean stopWarmUp()

Return `true` to stop warm-up.

Returns:
  `true` to stop warm-up.

#### stopWarmUp

    public GridClientWarmUpRequest stopWarmUp(boolean stopWarmUp)

Set need to stop warm-up.

Parameters:
  `stopWarmUp` - `true` to stop warm-up.
Returns:
  `this` instance.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Overrides:
  `writeExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Overrides:
  `readExternal` in class `GridClientAbstractMessage`
Throws:
  `IOException`
  `ClassNotFoundException`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `GridClientNodeStateBeforeStartRequest`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023